> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ifixit/products/search

> Search the iFixit parts and tools store by keywords, device, category, price and stock

**Price:** 10 credits per 1000 results



## OpenAPI

````yaml /openapi/repair-diy.json post /api/ifixit/products/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ifixit/products/search:
    post:
      tags:
        - /ifixit
      summary: /ifixit/products/search
      description: >-
        Search the iFixit parts and tools store by keywords, device, category,
        price and stock


        **Price:** 10 credits per 1000 results
      operationId: __api_ifixit_products_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IfixitProductsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IfixitProductOffer'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IfixitProductsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          maximum: 1000
          minimum: 1
        store_region:
          $ref: '#/components/schemas/IfixitStoreRegion'
          default: en_us
        device:
          items:
            type: string
          type: array
          default: []
        category:
          items:
            type: string
          type: array
          default: []
        main_category:
          items:
            $ref: '#/components/schemas/IfixitProductMainCategory'
          type: array
          default: []
        item_type:
          items:
            type: string
          type: array
          default: []
        device_brand:
          items:
            type: string
          type: array
          default: []
        device_category:
          items:
            type: string
          type: array
          default: []
        device_type:
          items:
            type: string
          type: array
          default: []
        operating_system:
          items:
            $ref: '#/components/schemas/IfixitProductOs'
          type: array
          default: []
        part_or_kit:
          items:
            $ref: '#/components/schemas/IfixitProductPartOrKit'
          type: array
          default: []
        capacity:
          items:
            type: string
          type: array
          default: []
        tool_category:
          items:
            type: string
          type: array
          default: []
        screwdriver_type:
          items:
            type: string
          type: array
          default: []
        merchandise_category:
          items:
            type: string
          type: array
          default: []
        ifixit_exclusive_only:
          type: boolean
          default: false
        price_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        min_rating:
          anyOf:
            - type: number
              maximum: 5
              minimum: 0
            - type: 'null'
        min_rating_count:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        in_stock_only:
          type: boolean
          default: false
        lifetime_warranty_only:
          type: boolean
          default: false
        discounted_only:
          type: boolean
          default: false
      type: object
      required:
        - count
    IfixitProductOffer:
      properties:
        '@type':
          type: string
          default: IfixitProductOffer
        id:
          type: string
        name:
          type: string
        alias:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        product_code:
          anyOf:
            - type: string
            - type: 'null'
        product_id:
          anyOf:
            - type: string
            - type: 'null'
        offer_key:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        store_region:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_min:
          anyOf:
            - type: number
            - type: 'null'
        price_max:
          anyOf:
            - type: number
            - type: 'null'
        price_band:
          anyOf:
            - type: string
            - type: 'null'
        compare_at_price:
          anyOf:
            - type: number
            - type: 'null'
        is_discounted:
          anyOf:
            - type: boolean
            - type: 'null'
        is_pro:
          anyOf:
            - type: boolean
            - type: 'null'
        is_in_stock:
          anyOf:
            - type: boolean
            - type: 'null'
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
        has_lifetime_warranty:
          anyOf:
            - type: boolean
            - type: 'null'
        quantity_available:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rating_count:
          anyOf:
            - type: integer
            - type: 'null'
        score:
          anyOf:
            - type: integer
            - type: 'null'
        oem_partner_code:
          anyOf:
            - type: string
            - type: 'null'
        oem_partner_url:
          anyOf:
            - type: string
            - type: 'null'
        devices:
          items:
            type: string
          type: array
          default: []
        categories:
          items:
            type: string
          type: array
          default: []
        option_values:
          items:
            type: string
          type: array
          default: []
        works_in:
          items:
            type: string
          type: array
          default: []
        identifiers:
          items:
            type: string
          type: array
          default: []
        compatible_part_numbers:
          items:
            type: string
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        attributes:
          items:
            $ref: '#/components/schemas/IfixitProductAttribute'
          type: array
          default: []
        attributes_localized:
          items:
            $ref: '#/components/schemas/IfixitProductAttribute'
          type: array
          default: []
        search_tags:
          items:
            $ref: '#/components/schemas/IfixitProductAttribute'
          type: array
          default: []
        axes:
          items:
            $ref: '#/components/schemas/IfixitOfferAxis'
          type: array
          default: []
      type: object
      required:
        - id
        - name
        - alias
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IfixitStoreRegion:
      type: string
      enum:
        - en_us
        - en_eu
        - en_au
        - en_ca
        - de_de
        - fr_fr
        - fr_ca
    IfixitProductMainCategory:
      type: string
      enum:
        - Parts
        - Tools
        - Upgrades
        - iFixit Gear
    IfixitProductOs:
      type: string
      enum:
        - Windows
        - Android
        - iOS
        - macOS
    IfixitProductPartOrKit:
      type: string
      enum:
        - Part Only
        - Fix Kit
        - Upgrade Kit
    IfixitProductAttribute:
      properties:
        '@type':
          type: string
          default: IfixitProductAttribute
        name:
          type: string
        values:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - name
    IfixitOfferAxis:
      properties:
        '@type':
          type: string
          default: IfixitOfferAxis
        code:
          type: string
        values:
          items:
            $ref: '#/components/schemas/IfixitOfferAxisValue'
          type: array
          default: []
      type: object
      required:
        - code
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    IfixitOfferAxisValue:
      properties:
        '@type':
          type: string
          default: IfixitOfferAxisValue
        value:
          type: string
        raw_value:
          anyOf:
            - type: string
            - type: 'null'
        price_from:
          anyOf:
            - type: number
            - type: 'null'
        variant_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - value
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````